### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
SmileSection Class Reference

interest rate volatility smile section More...

`#include <ql/termstructures/volatility/smilesection.hpp>`

Inheritance diagram for SmileSection:
[legend]

List of all members.

## Public Member Functions

| SmileSection (const Date &d, const DayCounter &dc=DayCounter(), const Date &referenceDate=Date())
| SmileSection (Time exerciseTime, const DayCounter &dc=DayCounter())
virtual void | update ()
virtual Real | minStrike () const =0
virtual Real | maxStrike () const =0
Real | variance (Rate strike) const
Volatility | volatility (Rate strike) const
virtual Real | atmLevel () const =0
const Date & | exerciseDate () const
const Date & | referenceDate () const
Time | exerciseTime () const
const DayCounter & | dayCounter () const

## Protected Member Functions

virtual void | initializeExerciseTime () const
virtual Real | varianceImpl (Rate strike) const
virtual Volatility | volatilityImpl (Rate strike) const =0

## Detailed Description

interest rate volatility smile section

This abstract class provides volatility smile section interface

## Member Function Documentation

virtual void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.